Skip to main content

Screen a name across all entity types

GET 

https://api.dilisense.com/v1/checkName

The checkName API method returns all entity types instead of only INDIVIDUALS or ENTITIES. The available entity_types are

  • INDIVIDUAL
  • ENTITY
  • VESSEL
  • AIRCRAFT
  • JURISDICTION
  • OBJECT
  • UNKNOWN

The response attributes are the same as for the checkIndividual and checkEntity endpoints.

Request​

Responses​

Error responses are the same for all endpoints, see Errors.

Example​

Request​

curl --location --request GET 'https://api.dilisense.com/v1/checkName?names=Boris%20Johnson' \
--header 'x-api-key: <api_key>'

Response​

{
"timestamp": "2024-09-24T19:16:00Z",
"total_hits": 1,
"found_records": [
{
"id": "c438b18a93cd3c13",
"entity_type": "INDIVIDUAL",
"children": [
"Cassia Peaches Johnson",
"Frank Alfred Odysseus Johnson",
"Lara Lettice Johnson",
"Milo Arthur Johnson",
"Romy Iris Charlotte Johnson",
"Stephanie Macintyre Johnson",
"Theodore Apollo Johnson",
"Wilfred Johnson"
],
"name": "Boris Johnson",
"address": [
"GB"
],
"last_names": [
"Johnson",
"Pfeffel"
],
"alias_names": [
"Alexander Boris de Pfeffel Johnson",
"Boris",
"BoJo",
"Bo Jo"
],
"given_names": [
"Alexander",
"Boris"
],
"date_of_birth": [
"19/06/1964"
],
"place_of_birth": [
"New York City"
],
"citizenship": [
"GB",
"US"
],
"occupations": [
"journalist",
"politician"
],
"positions": [
"2001-06-07 - 2005-04-11 Member of the 53rd Parliament of the United Kingdom",
"2005-05-05 - 2008-06-04 Member of the 54th Parliament of the United Kingdom",
"2008-05-04 - 2016-05-07 Mayor of London",
"2015-05-07 - 2017-05-03 Member of the 56th Parliament of the United Kingdom",
"2016-07-13 - 2018-07-09 Secretary of State for Foreign and Commonwealth Affairs",
"2017-06-08 - 2019-11-06 Member of the 57th Parliament of the United Kingdom",
"Since 2016-01-01 Member of the Privy Council of the United Kingdom",
"Since 2019-07-23 Leader of the Conservative Party",
"Since 2019-07-24 First Lord of the Treasury",
"Since 2019-07-24 Minister for the Civil Service",
"Since 2019-07-24 Prime Minister of the United Kingdom",
"Since 2019-07-26 Minister for the Union",
"Since 2019-12-12 Member of the 58th Parliament of the United Kingdom"
],
"political_parties": [
"Conservative Party"
],
"links": [
"https://www.gov.uk/government/people/boris-johnson",
"https://members.parliament.uk/member/1423/contact",
"Facebook: borisjohnson",
"https://members.parliament.uk",
"https://www.gov.uk/government/people"
],
"source_id": "dilisense_pep",
"source_type": "PEP",
"pep_type": "POLITICIAN",
"gender": "MALE",
"spouse": [
"Allegra Mostyn-Owen",
"Carrie Johnson",
"Marina Wheeler"
],
"siblings": [
"Jo Johnson",
"Leo Johnson",
"Rachel Johnson"
],
"list_date": "0",
"parents": [
"Charlotte Johnson Wahl",
"Stanley Johnson"
],
"description": [
"Prime Minister of the United Kingdom from 2019 to 2022"
]
}
]
}